| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::DatabaseServerError Class Reference

## Public Types
enum | DatabaseServerErrorEnum { NoErrors = 0 , NotSupported , StartError }

## Public Member Functions
| DatabaseServerError (const DatabaseServerError &dbServerError)
| DatabaseServerError (DatabaseServerErrorEnum errorType=NoErrors, const QString &errorText=QString())
QString | getErrorText () const
DatabaseServerErrorEnum | getErrorType () const
void | setErrorText (const QString &errorText)
void | setErrorType (DatabaseServerErrorEnum errorType)

## Member Enumeration Documentation

## ◆ DatabaseServerErrorEnum

enum Digikam::DatabaseServerError::DatabaseServerErrorEnum

Enumerator
NoErrors | No errors occurred while starting the database server.
NotSupported | The requested database type is not supported.
StartError | A error has occurred while starting the database server executable.